Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 20 May 2021 04:59:24 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My order# 6302341427 -  The text message I receive is status is already delivered May 4 12:13 midnight. But I did'nt receive anything. Also the text message on its way to delivery is 12:12am meaning only 1 minute gap only they already delivered? How is that possibe? also the address is on my office. I have no work 12:00MIDNIGHT  im at home that time how can i received that. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2544214